summaryrefslogtreecommitdiffstats
path: root/jjb/scripts
diff options
context:
space:
mode:
authorVanessa Rene Valderrama <vvalderrama@linuxfoundation.org>2018-04-23 12:50:14 -0500
committerVanessa Rene Valderrama <vvalderrama@linuxfoundation.org>2018-04-23 12:58:39 -0500
commit33efe11ded28ce1f0024faa1d7032795c734a132 (patch)
tree2a01aec7c686265e101c95d96d2b9ae8c9eeffd3 /jjb/scripts
parentbe017f9607363c8db1d37a172451512480ae6d62 (diff)
Modify the location of the packagecloud files
This change is to modify the location of the packagecloud files to work within the containers. Change-Id: I1c2378a56b380e39848d9fdb7d8e89f7f8d81cfa Signed-off-by: Vanessa Rene Valderrama <vvalderrama@linuxfoundation.org>
Diffstat (limited to 'jjb/scripts')
-rw-r--r--jjb/scripts/packagecloud_push.sh7
1 files changed, 5 insertions, 2 deletions
diff --git a/jjb/scripts/packagecloud_push.sh b/jjb/scripts/packagecloud_push.sh
index 6a44147a3..8eba7f78c 100644
--- a/jjb/scripts/packagecloud_push.sh
+++ b/jjb/scripts/packagecloud_push.sh
@@ -1,11 +1,14 @@
#!/bin/bash
-
# PCIO_CO is a Jenkins Global Environment variable
+set -xe -o pipefail
+
+echo "STARTING PACKAGECLOUD PUSH"
+
sleep 10
FACTER_OS=$(/usr/bin/facter operatingsystem)
-if [ -f ~/.packagecloud ]; then
+if [ -f /root/.packagecloud ]; then
case "$FACTER_OS" in
Ubuntu)
FACTER_LSBNAME=$(/usr/bin/facter lsbdistcodename)